The following warnings occurred:
Warning [2] count(): Parameter must be an array or an object that implements Countable - Line: 802 - File: showthread.php PHP 7.2.24-0ubuntu0.18.04.1 (Linux)
File Line Function
/showthread.php 802 errorHandler->error



Current time: 12-15-2019, 01:04 PM Hello There, Guest! (LoginRegister)

Post Reply 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
WebPageTest & PHP 5.4
06-06-2012, 02:59 AM
Post: #1
Bug WebPageTest & PHP 5.4
Patrick,

As of PHP version 5.4 the 'import_request_variables' function is deprecated (PHP Manual) You reference it in common.inc:

Code:
import_request_variables('PG', 'req_');

I encountered this issue on a new server I was setting up a new host. Of course, I was a bit slow to notice that common.inc had error_reporting(0) no matter how much error reporting I turned up in the php.ini nothing was showing up.

This small change to common.inc resolves the issue:

Code:
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'req_');

Here is a small patch, however, it is untested on anything, but PHP 5.4:

Code:
--- /home/webperfdash/common.inc    2012-06-05 16:55:53.336551754 +0000
+++ common.inc    2012-06-05 16:53:59.553500683 +0000
@@ -4,7 +4,7 @@
error_reporting(1);
umask(0);
date_default_timezone_set('UTC');
-import_request_variables('PG', 'req_');
+extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'req_');

if ($_SERVER['HTTP_MOD_REWRITE'] == 'On')
     define('FRIENDLY_URLS', true);

-Aaron
Find all posts by this user
Quote this message in a reply
Post Reply 


Messages In This Thread
WebPageTest & PHP 5.4 - Aaron Kulick - 06-06-2012 02:59 AM
RE: WebPageTest & PHP 5.4 - pmeenan - 06-07-2012, 03:36 AM

Forum Jump:


User(s) browsing this thread: 1 Guest(s)